# cpl_query.iterable package

## Submodules

## cpl_query.iterable.iterable module

class cpl_query.iterable.iterable.Iterable(t: type | None = None, values: Iterable | None = None)

  Bases: `IterableABC`

## cpl_query.iterable.iterable_abc module

class cpl_query.iterable.iterable_abc.IterableABC(t: type | None = None, values: Iterable | None = None)

  Bases: `QueryableABC`

  ABC to define functions on list

  add(_object: object)

    Adds element to list

    Parameter:
      _object: `object`

        value

  append(_object: object)
  extend(_IterableABC__iterable: Iterable) → IterableABC

    Adds elements of given list to list

    Parameter:
      __iterable: :class: cpl_query.extension.iterable.Iterable

        index

  remove(_object: object)

    Removes element from list

    Parameter:
      _object: `object`

        value

  remove_at(_index: int)

    Removes element from list

    Parameter:
      _object: `object`

        value

  to_enumerable() → EnumerableABC

    Converts :class: cpl_query.iterable.iterable_abc.IterableABC to :class: cpl_query.enumerable.enumerable_abc.EnumerableABC

    Returns:
      class:

        cpl_query.enumerable.enumerable_abc.EnumerableABC

## Module contents

### cpl-query CPL Queries

CPL Python integrated Queries

copyright:

  3. 2021 - 2023 sh-edraft.de

license:

  MIT, see LICENSE for more details.

class cpl_query.iterable.VersionInfo(major, minor, micro)

  Bases: `tuple`

  major

    Alias for field number 0

  micro

    Alias for field number 2

  minor

    Alias for field number 1